Bug 10135 - неверное имя точки монтирования CD/DVD
: неверное имя точки монтирования CD/DVD
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/pmount)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-10-15 00:33 by
Modified: 2008-02-16 17:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-10-15 00:33:02
Если вставить CD/DVD в устройство чтения, и слишком быстро
(до того как соотв. запись появится, скажем, в выводе lshal) 
выполнить pmount-hal, то монтирование происходит, но имя
точки монтирования всегда /media/usbdisk вместо обычного 
/media/<метка-диска>.
------- Comment #1 From 2006-10-23 15:17:44 -------
Не понимаю. Я всегда делаю вот так:

pmount /dev/sda1
pumount /media/sda1

Ну и соответсвенно, оно маунтится в /media/sda1/
------- Comment #2 From 2006-10-23 16:44:34 -------
Да с pmount всё OK.  Я говорю о pmount-hal.  Насколько я понял,
это у него умолчание такое. Если нет другой информации о девайсе,
то монтирует в /media/usbdisk.  Вот и флопик так монтируется.
Странное какое-то умолчание.  Для CD/DVD pmount-hal пытается
использовать для имени точки монтирования метку диска 
информацию от которой получает от hal.
Но если hal ещё не успел прожевать CD, то опять сваливается на
/media/usbdisk. Не знаю можно ли здесь что-то сделать.
Может быть стоит поменять умолчание?  Уж больно оно misleading.
------- Comment #3 From 2006-10-23 17:50:54 -------
на нового маинейнера
------- Comment #4 From 2006-10-23 22:12:12 -------
Тесты с -d пряснили ситуацию.  Если вставленный CD ещё не обработан hal,
то pmount-hal, не получив информацию, просто вызывает pmount.
Единственная глупость IMHO, которую он делает, это устанавливает
точку монтирования /media/usbdisk.  Это для _любого_ устройства неизвестного
hal.

Всё правильно и патчить здесь нечего.
Я бы только поправил это самое /media/usbdisk и оставил вместо него /dev/xyz
------- Comment #5 From 2006-10-24 01:35:41 -------
(In reply to comment #4)
> Я бы только поправил это самое /media/usbdisk и оставил вместо него /dev/xyz

Т.е. ты хотел сказать /media/xyz ? ;)

Я согласен на такое. Высылай патч или жди пока я запатчу.
------- Comment #6 From 2006-10-25 11:02:38 -------
Я только что посмотрел код pmount-hal и понял, что
патчить его таким образом (/media/xyz из /dev/xyz)
нельзя.  Дело втом, что это совершенно противоречит 
идеологии pmount-hal.  А она такова:
pmount-hal всегда пытается монтировать в /media/<метка тома>
где <метка тома> определяется по информации от hal -
сначала проверяется policy, потом свойство volume.label
и только если получить <метку тома> от hal не удалось,
используется /media/usbdisk.
Точки монтирования с именами устройств, как в pmount,
сюда совершенно не вписываются.

Если уж очень сильно достаёт usbdisk, то можно всегда
прописать policy.  

Предлагаю баг закрыть как WONTFIX.
------- Comment #7 From 2006-10-25 14:22:52 -------
(In reply to comment #6)
> Предлагаю баг закрыть как WONTFIX.
 
Закрываю как LATER.
------- Comment #8 From 2008-02-15 23:53:10 -------
re
------- Comment #9 From 2008-02-15 23:53:57 -------
LATER наступило? Закрываем как WONTFIX?
------- Comment #10 From 2008-02-16 17:04:38 -------
Да.
------- Comment #11 From 2008-02-16 17:41:53 -------
Закрыл.